.loader {
  position: fixed;
  left: 50%;
  top: 50%;
  width: 34px;
  height: 34px;
  background: #4caf50;
  animation:
    rotate 2s infinite ease-in-out,
    colors 4s infinite linear;
  border-radius: 4px;
}

@keyframes rotate {
  0%,
  100% {
    transform: rotate(0) scale(1);
  }
  25% {
    transform: rotate(90deg) scale(0.8);
  }
  50% {
    transform: rotate(180deg) scale(1.1);
  }
  75% {
    transform: rotate(270deg) scale(0.9);
  }
}

@keyframes colors {
  0%,
  16.66% {
    background: #4caf50;
  }
  16.67%,
  33.32% {
    background: #ffdc49;
  }
  33.33%,
  49.98% {
    background: #ef5350;
  }
  50%,
  66.65% {
    background: #42a5f5;
  }
  66.66%,
  83.31% {
    background: #3b5998;
  }
  83.32%,
  100% {
    background: #e255a1;
  }
}
